---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: gateway-ingress
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$1
spec:
  ingressClassName: nginx
  rules:
  - host: dexorder.ai
    http:
      paths:
      # Gateway API routes - strip /api prefix
      - path: /api/(.*)
        pathType: ImplementationSpecific
        backend:
          service:
            name: gateway
            port:
              number: 3000
